## net.i2p.client
Class I2PClientMessageHandlerMap

    java.lang.Object
      net.i2p.client.I2PClientMessageHandlerMap

     class I2PClientMessageHandlerMap

extends java.lang.Object

Contains a map of message handlers that a session will want to use

Author:
  jrandom

Constructor Summary
`I2PClientMessageHandlerMap(I2PAppContext context)`

Method Summary
`I2CPMessageHandler` `getHandler(int messageTypeId)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### I2PClientMessageHandlerMap

    public I2PClientMessageHandlerMap(I2PAppContext context)

Method Detail

### getHandler

    public I2CPMessageHandler getHandler(int messageTypeId)